OGRE: Ogre::MaterialPtr Class Reference - OGRE Documentation

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Ogre::MaterialPtr Class Reference

Specialisation of SharedPtr to allow SharedPtr to be assigned to MaterialPtr. More...

`#include <OgreMaterial.h>`

Inheritance diagram for Ogre::MaterialPtr:

[legend]
List of all members.

## Public Member Functions

| MaterialPtr ()
| MaterialPtr (Material *rep)
| MaterialPtr (const MaterialPtr &r)
| MaterialPtr (const ResourcePtr &r)
MaterialPtr & | operator= (const ResourcePtr &r)
| Operator used to convert a ResourcePtr to a MaterialPtr.
Material & | operator * () const
Material * | operator-> () const
Material * | get () const
void | bind (Material *rep)
| Binds rep to the SharedPtr.
bool | unique () const
unsigned int | useCount () const
unsigned int * | useCountPointer () const
Material * | getPointer () const
bool | isNull (void) const
void | setNull (void)

## Protected Member Functions

void | release (void)
virtual void | destroy (void)
virtual void | swap (SharedPtr< Material > &other)

## Protected Attributes

Material * | pRep
unsigned int * | pUseCount

## Detailed Description

Specialisation of SharedPtr to allow SharedPtr to be assigned to MaterialPtr.

Note:
  Has to be a subclass since we need operator=. We could templatise this instead of repeating per Resource subclass, except to do so requires a form VC6 does not support i.e. ResourceSubclassPtr<T> : public SharedPtr<T>

Definition at line 628 of file OgreMaterial.h.

## Constructor & Destructor Documentation

Ogre::MaterialPtr::MaterialPtr | ( |  | ) |

| Definition at line 631 of file OgreMaterial.h.

Ogre::MaterialPtr::MaterialPtr | ( | Material * | rep | ) | `[explicit]`

| Definition at line 632 of file OgreMaterial.h.

Ogre::MaterialPtr::MaterialPtr | ( | const MaterialPtr & | r | ) |

| Definition at line 633 of file OgreMaterial.h.

Ogre::MaterialPtr::MaterialPtr | ( | const ResourcePtr & | r | ) |

| Definition at line 634 of file OgreMaterial.h. References OGRE_COPY_AUTO_SHARED_MUTEX, OGRE_LOCK_MUTEX, and OGRE_MUTEX_CONDITIONAL.

## Member Function Documentation

void Ogre::SharedPtr< Material >::bind | ( | Material * | rep | ) | `[inherited]`

Binds rep to the SharedPtr.

Remarks:
  Assumes that the SharedPtr is uninitialised!

Definition at line 137 of file OgreSharedPtr.h.

virtual void Ogre::SharedPtr< Material >::destroy | ( | void |  | ) | `[protected, virtual, inherited]`

| Definition at line 191 of file OgreSharedPtr.h.

Material * Ogre::SharedPtr< Material >::get | ( |  | ) | const`[inherited]`

| Definition at line 131 of file OgreSharedPtr.h.

Material * Ogre::SharedPtr< Material >::getPointer | ( |  | ) | const`[inherited]`

| Definition at line 149 of file OgreSharedPtr.h.

bool Ogre::SharedPtr< Material >::isNull | ( | void |  | ) | const`[inherited]`

| Definition at line 151 of file OgreSharedPtr.h.

Material & Ogre::SharedPtr< Material >::operator * | ( |  | ) | const`[inherited]`

| Definition at line 129 of file OgreSharedPtr.h.

Material * Ogre::SharedPtr< Material >::operator-> | ( |  | ) | const`[inherited]`

| Definition at line 130 of file OgreSharedPtr.h.

MaterialPtr& Ogre::MaterialPtr::operator= | ( | const ResourcePtr & | r | ) |

| Operator used to convert a ResourcePtr to a MaterialPtr. Definition at line 651 of file OgreMaterial.h. References OGRE_COPY_AUTO_SHARED_MUTEX, OGRE_LOCK_MUTEX, and OGRE_MUTEX_CONDITIONAL.

void Ogre::SharedPtr< Material >::release | ( | void |  | ) | `[protected, inherited]`

| Definition at line 165 of file OgreSharedPtr.h.

void Ogre::SharedPtr< Material >::setNull | ( | void |  | ) | `[inherited]`

| Definition at line 153 of file OgreSharedPtr.h.

virtual void Ogre::SharedPtr< Material >::swap | ( | SharedPtr< Material > & | other | ) | `[protected, virtual, inherited]`

| Definition at line 202 of file OgreSharedPtr.h.

bool Ogre::SharedPtr< Material >::unique | ( |  | ) | const`[inherited]`

| Definition at line 145 of file OgreSharedPtr.h.

unsigned int Ogre::SharedPtr< Material >::useCount | ( |  | ) | const`[inherited]`

| Definition at line 146 of file OgreSharedPtr.h.

unsigned int* Ogre::SharedPtr< Material >::useCountPointer | ( |  | ) | const`[inherited]`

| Definition at line 147 of file OgreSharedPtr.h.

## Member Data Documentation

Material * Ogre::SharedPtr< Material >::pRep`[protected, inherited]`

| Definition at line 46 of file OgreSharedPtr.h.

unsigned int* Ogre::SharedPtr< Material >::pUseCount`[protected, inherited]`

| Definition at line 47 of file OgreSharedPtr.h.

The documentation for this class was generated from the following file:

- OgreMaterial.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Thu Mar 6 09:47:04 2008